<ion-content>
    <h1>Rätsel Bearbeiten</h1>
    <form [formGroup]="riddleEditForm">
        <ion-grid>
            <ion-row>
                <ion-col>
                    <ion-label>Titel</ion-label>
                </ion-col>
                <ion-col>
                    <ion-input type="text" formControlName="title" placeholder="Titel"></ion-input>
                </ion-col>
            </ion-row>
            <ion-row>
                <ion-col>
                    <ion-label>Beschreibung</ion-label>
                </ion-col>
                <ion-col>
                    <ion-textarea rows="10" formControlName="description" placeholder="Beschreibung"></ion-textarea>
                </ion-col>
            </ion-row>
            <ion-row>
                <ion-col>
                    <ion-label>Lösung</ion-label>
                </ion-col>
                <ion-col>
                    <ion-input type="text" formControlName="solution" placeholder="Lösung"></ion-input>
                </ion-col>
            </ion-row>
            <ion-row>
                <ion-col>
                    <ion-button (click)="onRiddleEditFormSubmit()">Ok</ion-button>
                    <ion-button color="danger" (click)="onRiddleEditFormDismissed()">Abbrechen</ion-button>
                </ion-col>
            </ion-row>
        </ion-grid>
    </form>
</ion-content>